karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From alex09 <alexander.cu...@web.de>
Subject Re: JPA (Hibernate) with Apache Karaf 4.2
Date Wed, 30 May 2018 09:42:09 GMT
Thanks a lot, that's what I was looking for (also @Kerry, will try this
seperately).

The first steps work as excepted, but at karaf-jpa-example-provider I get
resolve errors - as I am on a fresh downloaded Karaf 4.2.0, only Hibernate
5.2.9.Final can be installed as a feature.


karaf@root()>  feature:install karaf-jpa-example-provider
org.osgi.service.resolver.ResolutionException: Unable to resolve root:
missing requirement [root] osgi.identity;
osgi.identity=karaf-jpa-example-provider; type=karaf.feature;
version="[4.2.0.SNAPSHOT,4.2.0.SNAPSHOT]";
filter:="(&(osgi.identity=karaf-jpa-example-provider)(type=karaf.feature)(version>=4.2.0.SNAPSHOT)(version<=4.2.0.SNAPSHOT))"
[caused by: Unable to resolve karaf-jpa-example-provider/4.2.0.SNAPSHOT:
missing requirement [karaf-jpa-example-provider/4.2.0.SNAPSHOT]
osgi.identity; osgi.identity=karaf-jpa-example-common; type=karaf.feature;
version="[4.2.0.SNAPSHOT,4.2.0.SNAPSHOT]" [caused by: Unable to resolve
karaf-jpa-example-common/4.2.0.SNAPSHOT: missing requirement
[karaf-jpa-example-common/4.2.0.SNAPSHOT] osgi.identity;
osgi.identity=hibernate; type=karaf.feature;
version="[4.3.6.Final,4.3.6.Final]"]]
        at
org.apache.felix.resolver.ResolutionError.toException(ResolutionError.java:42)
        at
org.apache.felix.resolver.ResolverImpl.doResolve(ResolverImpl.java:391)
        at
org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:377)
        at
org.apache.felix.resolver.ResolverImpl.resolve(ResolverImpl.java:331)
        at
org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:248)
        at
org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:388)
        at
org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1025)
        at
org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:964)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)
Error executing command: Unable to resolve root: missing requirement [root]
osgi.identity; osgi.identity=karaf-jpa-example-provider; type=karaf.feature;
version="[4.2.0.SNAPSHOT,4.2.0.SNAPSHOT]";
filter:="(&(osgi.identity=karaf-jpa-example-provider)(type=karaf.feature)(version>=4.2.0.SNAPSHOT)(version<=4.2.0.SNAPSHOT))"
[caused by: Unable to resolve karaf-jpa-example-provider/4.2.0.SNAPSHOT:
missing requirement [karaf-jpa-example-provider/4.2.0.SNAPSHOT]
osgi.identity; osgi.identity=karaf-jpa-example-common; type=karaf.feature;
version="[4.2.0.SNAPSHOT,4.2.0.SNAPSHOT]" [caused by: Unable to resolve
karaf-jpa-example-common/4.2.0.SNAPSHOT: missing requirement
[karaf-jpa-example-common/4.2.0.SNAPSHOT] osgi.identity;
osgi.identity=hibernate; type=karaf.feature;
version="[4.3.6.Final,4.3.6.Final]"]]



--
Sent from: http://karaf.922171.n3.nabble.com/Karaf-User-f930749.html

Mime
View raw message